/* General warning: Beta-ish. Code could be a bit cleaner. */

/* canvas container */
/* entire UI */
.ui360, .sm2-360ui {position:relative;}
.ui360 {min-width:85px; height:110px; position:relative; overflow:hidden}

/* should always be at least this. */
.sm2-360ui {min-width:85px;min-height:85px;}
.ui360 {float:none; _margin-top:17px;}
.sm2-360ui {width:85px; height:85px; position:relative;}
/* slight inner shadow + BG color + border */
/* a little radii, modern browsers only */
.sm2-360ui {background-color: #f9f9f9; background-color: rgba(255,255,255,1); box-shadow: inset 0px 0px 5px rgba(0,0,0,0.15); border-radius: .375rem; -webkit-transition: all 0.1s ease-in-out; -moz-transition: all 0.1s ease-in-out; transition: all 0.1s ease-in-out;
 /* specifics */-moz-transition-property: background, border, box-shadow; -webkit-transition-property: background, border, box-shadow;transition-property: background, border, box-shadow;
}

.sm2-360ui:hover {background-color: rgba(255,255,255,1);border-color: rgba(0,0,0,0.15);box-shadow: inset 0px 0px 8px rgba(0,0,0,0.15);}
.ui360,.ui360 * {vertical-align:middle;}

.sm2-360ui {
 position:relative;
 display:inline-block; /* firefox 3 et al */
 _float:left; /* IE 6+7, firefox 2 needs this, inline-block would work with fx3 and others */
 *display:inline;
 clear:left;
}

.sm2-360ui.sm2_playing,
.sm2-360ui.sm2_paused {
 /* bump on top when active */
 z-index:10;
}

.ui360 a { /* .sm2_link class added to playable links by SM2 */
 float:left;
 display:inline;
 position:relative;
 color:#000;
 text-decoration:none;
 left:3px; /* slight spacing on left UI */
 top:18px; /* vertical align */
 text-indent:50px; /* make room for UI at left */
}

.ui360 a.sm2_link { /* SM2 has now started */
 text-indent:0px; /* UI now in place. */
}

.ui360 a,
.ui360 a:hover,
.ui360 a:focus {
 padding:2px;
 margin-left:-2px;
 margin-top:-2px;
}

.ui360 a:hover,
.ui360 a:focus {
 background:#eee;
 border-radius:3px;
 outline:none;
}

.ui360 .sm2-canvas {
 position:absolute;
 left:0px;
 top:0px;
}

.ui360 .sm2-canvas.hi-dpi {
 /* hi-dpi / "retina" screens */
 top: -50%;
 left: -50%;
 -moz-transform: scale(0.5);
 -ms-transform: scale(0.5);
 -webkit-transform: scale(0.5);
 transform: scale(0.5);
}

.ui360 .sm2-timing {position:absolute; display:block; left:0px; bottom:0px; width:100%; height:100%; margin:0px;  text-align:center; line-height:200px;}

.ui360 .sm2-timing.alignTweak {
 /* devious center-alignment tweak for Safari (might break things for others.) */
 /* no longer applies. */
 /*
 text-indent:1px;
 */
}

.ui360 .sm2-cover {
 position:absolute;
 left:0px;
 top:0px;
 width:100%;
 height:100%;
 z-index:2;
 display:none;
 background-image: url(data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==); /* old-skool bug: IE 9 won't catch mouse events otherwise. /smash */
}

.ui360 .sm2-360btn {
 position:absolute;
 display:block;
 top:50%;
 left:50%;
 width:50px;
 height:50px;
 margin-left:-25px;
 margin-top:-25px;
 border-radius: 25px;
 cursor:pointer;
 z-index:3;
}

.ui360 .sm2-360data {
 display:inline-block;
}

/* smaller clickable button, in center */
/*.sm2-inline-block .ui360 .sm2-360btn,
.ui360 .sm2-360ui.sm2_playing .sm2-360btn,
.ui360 .sm2-360ui.sm2_paused .sm2-360btn {
 _width:22px;
 _height:22px;
 _margin-left:-11px;
 _margin-top:-11px;
}*/

.ui360 .sm2-360ui.sm2_playing .sm2-cover,
.ui360 .sm2-360ui.sm2_paused .sm2-cover {
 display:block;
}

/* this could be optimized a fair bit. */

.ui360,
.ui360 .sm2-360btn-default,
.ui360 .sm2-360ui.sm2_paused .sm2-360btn {
    /*background-image: url(360-button-play-2x.png);
 background-repeat: no-repeat;*/
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" version="1.1" xmlns:xlink="http://www.w3.org/1999/xlink" width="512" height="512" x="0" y="0" viewBox="0 0 320.001 320.001" style="enable-background:new 0 0 512 512" xml:space="preserve" class=""><g><path d="m295.84 146.049-256-144a16.026 16.026 0 0 0-15.904.128A15.986 15.986 0 0 0 16 16.001v288a15.986 15.986 0 0 0 7.936 13.824A16.144 16.144 0 0 0 32 320.001c2.688 0 5.408-.672 7.84-2.048l256-144c5.024-2.848 8.16-8.16 8.16-13.952s-3.136-11.104-8.16-13.952z" fill="%23a73801" opacity="1" data-original="%23000000" class=""></path></g></svg>');
    background-repeat: no-repeat;
    background-size: 45%;
}

.ui360 {
 /*
  "fake" button shown before SM2 has started, non-JS/non-SM2 case etc.
  background image will be removed via JS, in threeSixyPlayer.init()
 */
 background-position: 14px 50%;
 _background:transparent url(360-button-play.gif) no-repeat 14px 50%; /* IE 6-only: special crap GIF */
}

.ui360 .sm2-360btn-default,
.ui360 .sm2-360ui.sm2_paused .sm2-360btn {
 background-position:50% 50%;
 _background:transparent url(360-button-play.gif) no-repeat 50% 50%; /* IE 6-only: special crap GIF */
}

.ui360 .sm2-360btn-default,
.ui360 .sm2-360ui.sm2_paused .sm2-360btn {
 cursor:pointer;
}
.ui360 .sm2-360btn-default:hover, .ui360 .sm2-360ui.sm2_paused .sm2-360btn:hover {background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" version="1.1" xmlns:xlink="http://www.w3.org/1999/xlink" width="512" height="512" x="0" y="0" viewBox="0 0 320.001 320.001" style="enable-background:new 0 0 512 512" xml:space="preserve" class=""><g><path d="m295.84 146.049-256-144a16.026 16.026 0 0 0-15.904.128A15.986 15.986 0 0 0 16 16.001v288a15.986 15.986 0 0 0 7.936 13.824A16.144 16.144 0 0 0 32 320.001c2.688 0 5.408-.672 7.84-2.048l256-144c5.024-2.848 8.16-8.16 8.16-13.952s-3.136-11.104-8.16-13.952z" fill="%23000" opacity="1" data-original="%23000000" class=""></path></g></svg>');cursor: pointer;}

    .ui360 .sm2-360ui.sm2_playing .sm2-360btn:hover,
    .ui360 .sm2-360btn-playing:hover {
        background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" version="1.1" xmlns:xlink="http://www.w3.org/1999/xlink" width="512" height="512" x="0" y="0" viewBox="0 0 32 32" style="enable-background:new 0 0 512 512" xml:space="preserve" class=""><g><path d="M13 5v22a3 3 0 0 1-3 3H9a3 3 0 0 1-3-3V5a3 3 0 0 1 3-3h1a3 3 0 0 1 3 3zm10-3h-1a3 3 0 0 0-3 3v22a3 3 0 0 0 3 3h1a3 3 0 0 0 3-3V5a3 3 0 0 0-3-3z" data-name="Layer 30" fill="%23000" opacity="1" data-original="%23000000"></path></g></svg>');
        background-repeat: no-repeat;
        background-size: 45%;
        cursor: pointer;
    }

.ui360 .sm2-360ui.sm2_playing .sm2-timing {
 visibility:visible;
}

.ui360 .sm2-360ui.sm2_buffering .sm2-timing {
 visibility:visible;
}

.ui360 .sm2-360ui .sm2-timing,
.ui360 .sm2-360ui .sm2-360btn:hover + .sm2-timing,
.ui360 .sm2-360ui.sm2_paused .sm2-timing {
 visibility:visible;
}

.ui360 .sm2-360ui.sm2_dragging .sm2-timing,
.ui360 .sm2-360ui.sm2_dragging .sm2-360btn:hover + .sm2-timing {
 /* paused + dragging */
 visibility:visible;
}

    .ui360 .sm2-360ui.sm2_playing .sm2-360btn,
    .ui360 .sm2-360ui.sm2_dragging .sm2-360btn{
        background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" version="1.1" xmlns:xlink="http://www.w3.org/1999/xlink" width="512" height="512" x="0" y="0" viewBox="0 0 32 32" style="enable-background:new 0 0 512 512" xml:space="preserve" class=""><g><path d="M13 5v22a3 3 0 0 1-3 3H9a3 3 0 0 1-3-3V5a3 3 0 0 1 3-3h1a3 3 0 0 1 3 3zm10-3h-1a3 3 0 0 0-3 3v22a3 3 0 0 0 3 3h1a3 3 0 0 0 3-3V5a3 3 0 0 0-3-3z" data-name="Layer 30" fill="%23a73801" opacity="1" data-original="%23000000"></path></g></svg>');
        cursor: auto;
    }

.ui360 .sm2_playing .sm2-360btn:hover {
 background:transparent url(360-button-play-light.png) no-repeat 50% 50%;
 background-image: none, url(360-button-play-light-2x.png);
}




.ui360 .sm2-360ui.sm2_buffering .sm2-360btn,
.ui360 .sm2-360ui.sm2_buffering .sm2-360btn:hover {
  background:transparent url(icon_loading_spinner.gif) no-repeat 50% 50%;
  opacity:0.5;
  visibility:visible;
}

/* inline list style */

.sm2-inline-list .ui360,
.sm2-inline-block .ui360 {
 position:relative;
 display:inline-block;
 float:left;
 _display:inline;
 /*
 margin-bottom:-15px;
 */
}

.sm2-inline-block .ui360 {
 margin-right:0px;
}

.sm2-inline-list .ui360 a {
 display:none;
}

/* annotations */

ul.ui360playlist {
 list-style-type:none;
}

ul.ui360playlist,
ul.ui360playlist li {
 margin:0px;
 padding:0px;
}

div.ui360 div.metadata {
 display:none;
}

div.ui360 a span.metadata,
div.ui360 a span.metadata * {
 /* name of track, note etc. */
 vertical-align:baseline;
}



.prasang-table .ui360,
.prasang-table .sm2-360ui {
 min-width:40px; /* should always be at least this. */
 min-height:40px;
}

.prasang-table .sm2-360ui {
 width:40px;
 height:40px;
}

.prasang-table .ui360 {float:none; margin-top:0px;}

.prasang-table .sm2-360ui.sm2_paused .sm2-timing, .prasang-table .sm2-360ui .sm2-timing  {font-size:0px !important}
.prasang-table .sm2_playing .sm2-timing {font-size:12px !important;}

.prasang-table .ui360 a { /* .sm2_link class added to playable links by SM2 */
 display:inline-block;
 position:relative;
 color:#000;
 text-decoration:none;
 left:3px; /* slight spacing on left UI */
 top:18px; /* vertical align */
 text-indent:50px; /* make room for UI at left */
}

.prasang-table .ui360 a,
.prasang-table .ui360 a:hover,
.prasang-table .ui360 a:focus {
 padding:0px;
 margin-left:-2px;
 margin-top:-2px;
}

.prasang-table .ui360 a:hover,
.prasang-table .ui360 a:focus {
background:#eee;
border-radius:3px;
outline:none;
}

.prasang-table .ui360 .sm2-canvas {
position:absolute;
left:0px;
top:0px;
}

.prasang-table .ui360 .sm2-canvas.hi-dpi {
top: -163%;
left: -163%;
-moz-transform: scale(0.5);
-ms-transform: scale(0.5);
-webkit-transform: scale(0.5);
transform: scale(0.5);
}

.prasang-table .ui360 .sm2-timing {
 position:absolute;
 display:block;
 left:0px;
 top:0px;
 width:100%;
 height:100%;
 margin:0px;
 font-size:12px;
 color:#666;
 text-align:center;
 line-height:92px;
}

.prasang-table .ui360 .sm2-cover {
 position:absolute;
 left:0px;
 top:0px;
 width:100%;
 height:100%;
 z-index:2;
 display:none;
 background-image: url(data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==); /* old-skool bug: IE 9 won't catch mouse events otherwise. /smash */
}

.prasang-table .ui360 .sm2-360btn {
 position:absolute;
 display:block;
 top:50%;
 left:50%;
 width:50px;
 height:50px;
 margin-left:-25px;
 margin-top:-25px;
 border-radius: 25px;
 cursor:pointer;
 z-index:3;
}

.prasang-table .ui360 .sm2-360data {
 display:inline-block;
 font-family:helvetica;
}

.prasang-table .ui360,
.prasang-table .ui360 .sm2-360btn-default,
.prasang-table .ui360 .sm2-360ui.sm2_paused .sm2-360btn {
 background:transparent url(360-button-play.png) no-repeat;
 background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABYAAAAWCAYAAADEtGw7AAABoUlEQVR42sWVu2oCQRhGU/s8gpVYJeQJNkZSbiH4QNuLlQZS21sJayGYaOEFVFDxNiremj9zig2uzk5YQpKFg8PMd75ZZle9E5Ff4e+Ll8tlQuNoPI2vUcCYOdbIxCmm9F5T0YgNMmS/LebSwWdNa7VayXq9ls1mI9vtVna7nQBj5lgjQxYHN7KY3QkiUbDf7+V4PMrpdArBHGtkyOJc3/n1mVaUUl+F5/PZSrABDi4dpmKH3QkixQEHlw5TsccZmsRCoSD1et1ajkuHqdg/HA5GKZPJCOTzeanVasYMLh2mYsXDIGAoDuG6rlSr1WCdBxrcsTIWazgrQiHS6bSRYJ3XDzeq2O/3+9Ltdm9IpVIhstmslEqlUAY36ii8ZrMpjUbjhmQyKeA4jhSLRWMGN+rhOZ1Oh8ANuVxOyuUy40hwo163RK/XeyPQbrdjgYNr/ILAYDB41Gf1wZnFAQfX+iM0HA5fxuPx+2g0Ej22QoYsDq61mGsymTxMp9NX/Sk2yJDFsRZfXpzXbDZ7WiwW3nw+9zUKGDPHGpkL5V//mn7OJyJZApyzeUS5AAAAAElFTkSuQmCC);
 background-image: none, url(360-button-play-2x.png);
 background-size: 22px 22px;
 *background-image: url(360-button-play.png);
 background-repeat: no-repeat;
}

.prasang-table .ui360 {
 background-position: 14px 50%;
 _background:transparent url(360-button-play.gif) no-repeat 14px 50%; /* IE 6-only: special crap GIF */
}

.prasang-table .ui360 .sm2-360btn-default,
.prasang-table .ui360 .sm2-360ui.sm2_paused .sm2-360btn {
 background-position:50% 50%;
 _background:transparent url(360-button-play.gif) no-repeat 50% 50%; /* IE 6-only: special crap GIF */
}

.ui360 .sm2-360btn-default,
.ui360 .sm2-360ui.sm2_paused .sm2-360btn {
 cursor:pointer;
}

.prasang-table .ui360 .sm2-360btn-default:hover,
.prasang-table .ui360 .sm2-360ui.sm2_paused .sm2-360btn:hover {
 background:transparent url(360-button-play-light.png) no-repeat 50% 50%;
 background-image: none, url(360-button-play-light-2x.png);
 background-size: 22px 22px;
 _background:transparent url(360-button-play.gif) no-repeat 50% 50%;
 cursor:pointer;
}

.prasang-table .ui360 .sm2-360ui.sm2_playing .sm2-360btn:hover,
.prasang-table .ui360 .sm2-360btn-playing:hover {
 background:transparent url(360-button-pause-light.png) no-repeat 50% 50%;
 background-image: none, url(360-button-pause-light-2x.png);
 background-size: 22px 22px;
 _background:transparent url(360-button-pause-light.gif) no-repeat 50% 50%;
 cursor:pointer;
}


.prasang-table .ui360 .sm2-360ui.sm2_playing .sm2-timing {
 visibility:visible;
}

.prasang-table.ui360 .sm2-360ui.sm2_buffering .sm2-timing {
 visibility:hidden;
}

.prasang-table .ui360 .sm2-360ui .sm2-timing,
.prasang-table .ui360 .sm2-360ui .sm2-360btn:hover + .sm2-timing,
.prasang-table .ui360 .sm2-360ui.sm2_paused .sm2-timing {
 visibility:visible;
}

.prasang-table .ui360 .sm2-360ui.sm2_dragging .sm2-timing,
.prasang-table .ui360 .sm2-360ui.sm2_dragging .sm2-360btn:hover + .sm2-timing {
 visibility:visible;
}

.prasang-table .ui360 .sm2-360ui.sm2_playing .sm2-360btn,
.prasang-table .ui360 .sm2-360ui.sm2_dragging .sm2-360btn {
 background:transparent url(360-button-pause-light.png) no-repeat 50% 50%;
 background-image: none, url(360-button-pause-light-2x.png);
 background-size: 22px 22px;
 cursor:auto;
}

.prasang-table .ui360 .sm2-360ui.sm2_buffering .sm2-360btn,
.prasang-table .ui360 .sm2-360ui.sm2_buffering .sm2-360btn:hover {
 background:transparent url(icon_loading_spinner.gif) no-repeat 50% 50%;
 opacity:0.5;
 visibility:visible;
}

/* inline list style */

.prasang-table .sm2-inline-list .ui360,
.prasang-table .sm2-inline-block .ui360 {
 position:relative;
 display:inline-block;
 float:left;
 _display:inline;
}



.prasang-table .sm2-inline-block .ui360 {
 margin-right:8px;
}

.prasang-table .sm2-inline-list .ui360 a {
 display:none;
}

/* annotations */

.prasang-table ul.ui360playlist {
 list-style-type:none;
}

.prasang-table ul.ui360playlist,
.prasang-table ul.ui360playlist li {
 margin:0px;
 padding:0px;
}

div.ui360 div.metadata {
 display:none;
}

div.ui360 a span.metadata,
div.ui360 a span.metadata * {
 /* name of track, note etc. */
 vertical-align:baseline;
}
